Name:		olpc-bootanim
Version:	2.7
Release:	1%{?dist}
Summary:	OLPC XO boot animation

License:	GPLv2+
Group:		System Environment/Base
URL:		http://dev.laptop.org/git?p=users/dsd/olpc-bootanim
Source0:	http://dev.laptop.org/~dsd/olpc-bootanim/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch:		%{ix86}
BuildRequires:		python, netpbm-progs
Requires:			initscripts
Requires(post):		/sbin/chkconfig
Requires(preun):	/sbin/chkconfig
Obsoletes:			plymouth < 0.7.99
Provides:			plymouth = 0.7.99

%description
OLPC's optimized boot animation for the XO laptop, also including regulatory
shutdown warning. Not recommended for use on regular systems.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%post
/sbin/chkconfig --add 0-boot-anim-start
/sbin/chkconfig --add z-boot-anim-stop
/sbin/chkconfig --add ul-warning


%preun
if [ $1 -eq 0 ]; then
  /sbin/chkconfig --del 0-boot-anim-start
  /sbin/chkconfig --del z-boot-anim-stop
  /sbin/chkconfig --del ul-warning
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING

%{_sysconfdir}/rc.d/init.d/0-boot-anim-start
%{_sysconfdir}/rc.d/init.d/z-boot-anim-stop
%{_sysconfdir}/rc.d/init.d/ul-warning
%{_sbindir}/boot-anim-start
%{_sbindir}/boot-anim-stop
%{_sbindir}/boot-anim-helper
%{_sbindir}/boot-anim-running
%{_sbindir}/ul-warning
%{_bindir}/plymouth
%{_prefix}/share/boot-anim/


%changelog
* Wed Jul 15 2009 Daniel Drake <dsd@laptop.org> - 2.7-1
- Initial import

* Tue Jun 23 2009 Daniel Drake <dsd@laptop.org> - 2.5-1
- Various fixes, now is a complete replacement for v1.x

* Tue Jun 16 2009 Bobby Powers <bobby@laptop.org> - 2.4-1
- Fix UL-warning script.
- Makefile and build updates.

* Tue Jun 16 2009 Bobby Powers <bobby@laptop.org> - 2.3-2
- Provide plymouth, so that we can easily install onto F11.

* Sun Mar 01 2009 Bobby Powers <bobby@laptop.org> - 2.3-1
- Change service-ul-warning to start on runlevels 0 and 6.

* Sun Mar 01 2009 Bobby Powers <bobby@laptop.org> - 2.2-1
- Install binaries into /usr/sbin.
- Start and stop animation and ul-warning with scripts.
- Fix ul-warning.

* Thu Feb 26 2009 Bobby Powers <bobby@laptop.org> - 2.1-1
- General cleanup and restructuring.

* Wed Feb 18 2009 Bobby Powers <bobby@laptop.org> - 2.0-1
- Python client/server reimplemented as several C programs.
- Animations using diffs instead of refresing the whole framebuffer.

* Tue Dec 23 2008 C. Scott Ananian <cscott@laptop.org>
- Update animation frames to include Fedora branding (trac #9140).

* Sat Jun 28 2008 C. Scott Ananian <cscott@laptop.org>
- Use compressed format for animation frames (trac #5535, #4281).
- Slightly improve 'locked' and 'stolen' XO man icons.

* Fri Jun 27 2008 C. Scott Ananian <cscott@laptop.org>
- Fix silly typo that prevented proper installation of initscript.

* Thu Jun 26 2008 C. Scott Ananian <cscott@laptop.org>
- Build as a proper RPM against F9 dependencies.

